/*
 * MORPHO GENERATION-F, Open Source Groupware Solutions
 * http://www.mintjams.jp/
 *
 * Copyright (c) 2004, MintJams, Inc.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are met:
 *
 * 1. Redistributions of source code must retain the above copyright notice,
 *	  this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright notice,
 *	  this list of conditions and the following disclaimer in the documentation
 *	  and/or other materials provided with the distribution.
 * 3. Neither the name of the MintJams, Inc. nor the names of its contributors
 *	  may be used to endorse or promote products derived from this software
 *	  without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
 * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE
 * LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
 * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
 * SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
 * INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
 * CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 * POSSIBILITY OF SUCH DAMAGE.
 */
package jp.co.mintjams.generation.forum;

/**
 * 定数を宣言します。
 */
public class ForumGlobals
{

	/**
	 * カテゴリ ID を設定する HttpActionRequest オブジェクトの属性の名前です。
	 */
	public static final String CATEGORY_ID_KEY = ForumGlobals.class.getName() + ".categoryId";

	/**
	 * フォーラム ID を設定する HttpActionRequest オブジェクトの属性の名前です。
	 */
	public static final String FORUM_ID_KEY = ForumGlobals.class.getName() + ".forumId";

	/**
	 * トピック ID を設定する HttpActionRequest オブジェクトの属性の名前です。
	 */
	public static final String TOPIC_ID_KEY = ForumGlobals.class.getName() + ".topicId";

	/**
	 * 検索キーワードの最大値です。
	 */
	public static final int MAX_SEARCH_KEYWORDS = 10;

	/**
	 * 検索結果の最大表示件数です。
	 */
	public static final int MAX_SEARCH_RESULTS = 100;

	/**
	 * トピックの１ページの表示件数です。
	 */
	public static final int MAX_TOPICS_ROWS = 20;

	/**
	 * 投稿の１ページの表示件数です。
	 */
	public static final int MAX_POSTS_ROWS = 20;

}
