CREATE TABLE gf_categories (
categories_id VARCHAR(50) NOT NULL,
categories_name VARCHAR(100) NOT NULL,
users_id VARCHAR(50) NOT NULL,
date_added DATETIME NOT NULL,
date_lastmodified DATETIME NOT NULL,
CONSTRAINT gf_categories_primarykey PRIMARY KEY (categories_id)
);
CREATE TABLE gf_forums (
categories_id VARCHAR(50) NOT NULL,
forums_id VARCHAR(50) NOT NULL,
forums_name VARCHAR(100) NOT NULL,
forums_contents TEXT NOT NULL,
forums_last_topics_id NUMERIC(16,0),
users_id VARCHAR(50) NOT NULL,
date_added DATETIME NOT NULL,
date_lastmodified DATETIME NOT NULL,
CONSTRAINT gf_forums_primarykey PRIMARY KEY (categories_id, forums_id)
);
CREATE TABLE gf_topics (
categories_id VARCHAR(50) NOT NULL,
forums_id VARCHAR(50) NOT NULL,
topics_id NUMERIC(16,0) NOT NULL,
topics_status NUMERIC(1,0) NOT NULL,
topics_views NUMERIC(8,0) NOT NULL DEFAULT 0,
topics_replies NUMERIC(8,0) NOT NULL DEFAULT 0,
topics_last_posts_id NUMERIC(16,0),
users_id VARCHAR(50) NOT NULL,
date_added DATETIME NOT NULL,
date_lastmodified DATETIME NOT NULL,
date_deleted DATETIME NULL,
CONSTRAINT gf_topics_primarykey PRIMARY KEY (categories_id, forums_id, topics_id)
);
CREATE TABLE gf_posts (
categories_id VARCHAR(50) NOT NULL,
forums_id VARCHAR(50) NOT NULL,
topics_id NUMERIC(16,0) NOT NULL,
posts_id NUMERIC(16,0) NOT NULL,
posts_title VARCHAR(200) NOT NULL,
posts_message TEXT NOT NULL,
users_id VARCHAR(50) NOT NULL,
date_added DATETIME NOT NULL,
date_deleted DATETIME NULL,
CONSTRAINT gf_posts_primarykey PRIMARY KEY (categories_id, forums_id, topics_id, posts_id)
);
CREATE TABLE gf_postfiles (
categories_id VARCHAR(50) NOT NULL,
forums_id VARCHAR(50) NOT NULL,
topics_id NUMERIC(16,0) NOT NULL,
posts_id NUMERIC(16,0) NOT NULL,
postfiles_file_name TEXT NOT NULL,
postfiles_file_contenttype TEXT,
postfiles_file_size NUMERIC(8,0) DEFAULT 0 NOT NULL,
postfiles_data MEDIUMBLOB NOT NULL,
date_deleted DATETIME NULL,
CONSTRAINT gf_postfiles_primarykey PRIMARY KEY (categories_id, forums_id, topics_id, posts_id)
);
CREATE TABLE gf_vars (
vars_key VARCHAR(100) NOT NULL,
vars_value TEXT,
CONSTRAINT gf_vars_primarykey PRIMARY KEY (vars_key)
);
CREATE TABLE gf_visits (
users_id VARCHAR(50) NOT NULL,
date_visited DATETIME NOT NULL,
date_lastvisited DATETIME NOT NULL,
CONSTRAINT gf_visits_primarykey PRIMARY KEY (users_id)
);
