<%@ page contentType="text/html; charset=UTF-8" %>
<%@ taglib uri="http://itruth.mintjams.co.jp/tlds/itruth-action.tld" prefix="action" %>
<%@ taglib uri="http://itruth.mintjams.co.jp/tlds/itruth-html.tld" prefix="html" %>
<%@ taglib uri="http://itruth.mintjams.co.jp/tlds/itruth-text.tld" prefix="text" %>
<%@ taglib uri="http://itruth.mintjams.co.jp/tlds/itruth-logic.tld" prefix="logic" %>
<%@ taglib uri="http://itruth.mintjams.co.jp/tlds/itruth-request.tld" prefix="request" %>
<%@ taglib uri="http://itruth.mintjams.co.jp/tlds/itruth-resource.tld" prefix="resource" %>
<%@ taglib uri="http://itruth.mintjams.co.jp/tlds/itruth-validator.tld" prefix="validator" %>
<%@ page import="java.util.*" %>
<%@ page import="jp.morpho.util.*" %>
<%@ page import="jp.morpho.webapp.servlet.http.*" %>
<%@ page import="jp.co.mintjams.generation.base.*" %>
<%@ page import="jp.co.mintjams.generation.base.util.*" %>
<%@ include file="/include/vars.jsp" %>
<action:mapping>
	<action:case status="category.list" action="delete">
		<action:handler>jp.co.mintjams.generation.base.action.DatabaseConnectionHandler</action:handler>
		<action:handler>jp.co.mintjams.generation.forum.action.SearchCategoriesHandler</action:handler>
		<action:handler>jp.co.mintjams.generation.base.action.ValidateHandler</action:handler>
		<action:handler>jp.co.mintjams.generation.forum.action.DeleteCategoryHandler</action:handler>
	</action:case>
	<action:case status="category.list" action="view">
		<action:handler>jp.co.mintjams.generation.base.action.DatabaseConnectionHandler</action:handler>
		<action:handler>jp.co.mintjams.generation.forum.action.SearchCategoriesHandler</action:handler>
		<action:handler>jp.co.mintjams.generation.base.action.ValidateHandler</action:handler>
		<action:handler>jp.co.mintjams.generation.forum.action.GetCategoryHandler</action:handler>
		<action:handler>jp.co.mintjams.generation.forum.action.CategoryEditHandler</action:handler>
	</action:case>
	<action:case status="category.edit" action="ok">
		<action:handler>jp.co.mintjams.generation.base.action.DatabaseConnectionHandler</action:handler>
		<action:handler>jp.co.mintjams.generation.base.action.ValidateHandler</action:handler>
		<action:handler>jp.co.mintjams.generation.forum.action.ChangeCategoryHandler</action:handler>
	</action:case>
	<action:default>
		<action:handler>jp.co.mintjams.generation.base.action.DatabaseConnectionHandler</action:handler>
		<action:handler>jp.co.mintjams.generation.forum.action.SearchCategoriesHandler</action:handler>
		<action:handler>jp.co.mintjams.generation.forum.action.CategoryListHandler</action:handler>
	</action:default>
</action:mapping>
<%
	title = "カテゴリ情報";
	if (actionRequest.getStatus().equals("category.edit"))
	{
		title += " - 編集";
	}
%>
<!-- header start -->
<%@ include file="/include/header.jsp" %>
<!-- header end -->

<!-- main start -->
<action:equals status="category.delete.success">
<jsp:include page="delete.success.jsp"/>
</action:equals>
<action:equals status="category.delete.failure">
<jsp:include page="delete.failure.jsp"/>
</action:equals>
<action:equals status="category.edit.success">
<jsp:include page="category.edit.success.jsp"/>
</action:equals>
<action:equals status="category.edit.failure">
<jsp:include page="category.edit.failure.jsp"/>
</action:equals>
<action:equals status="category.edit">
<jsp:include page="edit.jsp"/>
</action:equals>
<action:equals status="category.list">
<html:form name="form0">
<table width="512" class="waku1" cellspacing="0" cellpadding="1">
	<tr>
		<td>
			<table width="100%" class="waku2" cellspacing="6" cellpadding="0">
				<tr>
					<td colspan="2" align="center">
						<font class="title">カテゴリ情報</font><br>
					</td>
				</tr>
				<tr>
					<td class="sep_solid" colspan="2"><img src="<request:contextpath/>/image/spacer.gif" width="1" height="1"></td>
				</tr>
				<tr valign="top">
					<th align="left" width="20%">
						<b>カテゴリ名</b><br>
					</th>
					<td align="left" width="80%">
						<html:select name="categories_id">
							<option value="">-- 選択してください --</option>
							<html:options name="categories" scope="request">
								<html:property key="value">categories_id</html:property>
								<html:property key="text">categories_name</html:property>
							</html:options>
						</html:select><br>
						<validator:messages name="categories_id" prefix="<br><font class=\"error\"><b><i>！</i></b>" suffix="</font>"/>
					</td>
				</tr>
				<tr>
					<td class="sep_dotted" colspan="2"><img src="<request:contextpath/>/image/spacer.gif" width="1" height="1"></td>
				</tr>
				<tr valign="top">
					<td align="center" colspan="2">
						<html:actionbutton status="category.list" action="delete" name="delete" value="削除" onclick="if (!confirmDelete()) {return false;}"/>
						&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
						<html:actionbutton status="category.list" action="view" name="edit" value="編集"/>
					</td>
				</tr>
			</table>
		</td>
	</tr>
</table>
</html:form>

</action:equals>
<!-- main end -->

<!-- footer start -->
<%@ include file="/include/footer.jsp" %>
<!-- footer end -->
<%
/*
 * MORPHO GENERATION-F, Open Source Groupware Solutions
 * http://www.mintjams.jp/
 *
 * Copyright (c) 2004, MintJams, Inc.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are met:
 *
 * 1. Redistributions of source code must retain the above copyright notice,
 *    this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright notice,
 *    this list of conditions and the following disclaimer in the documentation
 *    and/or other materials provided with the distribution.
 * 3. Neither the name of the MintJams, Inc. nor the names of its contributors
 *    may be used to endorse or promote products derived from this software
 *    without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
 * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE
 * LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
 * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
 * SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
 * INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
 * CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 * POSSIBILITY OF SUCH DAMAGE.
 */
%>
